# FairMQ: fair::mq::sdk::DDSSession Class Reference

fair::mq::sdk::DDSSession Class Reference

Represents a DDS session. More...

`#include <fairmq/sdk/DDSSession.h>`

## Classes

struct | AgentCount
struct | CommanderInfo
struct | Impl

## Public Types

using | Id = std::string
using | Quantity = std::uint32_t
using | Path = boost::filesystem::path

## Public Member Functions

| DDSSession (DDSEnvironment env=DDSEnvironment())
| DDSSession (Id existing, DDSEnvironment env=DDSEnvironment())
| DDSSession (std::shared_ptr< dds::tools_api::CSession > nativeSession, DDSEnv env={})
| Construct with already existing native DDS API objects. More...
auto | GetEnv () const -> DDSEnvironment
auto | GetId () const -> Id
auto | GetRMSPlugin () const -> DDSRMSPlugin
auto | SetRMSPlugin (DDSRMSPlugin) -> void
auto | GetRMSConfig () const -> Path
auto | SetRMSConfig (Path) const -> void
auto | IsStoppedOnDestruction () const -> bool
auto | StopOnDestruction (bool stop=true) -> void
auto | IsRunning () const -> bool
auto | SubmitAgents (Quantity agents) -> void
auto | RequestAgentCount () -> AgentCount
auto | RequestAgentInfo () -> std::vector< DDSAgent >
auto | RequestTaskInfo () -> std::vector< DDSTask >
auto | RequestCommanderInfo () -> CommanderInfo
auto | WaitForIdleAgents (Quantity) -> void
auto | WaitForOnlyIdleAgents () -> void
auto | WaitForExecutingAgents (Quantity) -> void
auto | ActivateTopology (const Path &topoFile) -> void
auto | ActivateTopology (DDSTopology) -> void
auto | Stop () -> void
void | StartDDSService ()
void | SubscribeToCommands (std::function< void(const std::string &msg, const std::string &condition, uint64_t senderId)>)
void | UnsubscribeFromCommands ()
void | SendCommand (const std::string &, const std::string &="")
void | SendCommand (const std::string &, DDSChannel::Id)
auto | GetTaskId (DDSChannel::Id) const -> DDSTask::Id

## Friends

auto | operator<< (std::ostream &os, const DDSSession &session) -> std::ostream &

## Detailed Description

Represents a DDS session.

## Constructor & Destructor Documentation

## DDSSession()

fair::mq::sdk::DDSSession::DDSSession | ( | std::shared_ptr< dds::tools_api::CSession > | nativeSession,
|  | DDSEnv | env = `{}`
| ) |  |

explicit

Construct with already existing native DDS API objects.

Parameters

  nativeSession | Existing and initialized CSession (either via create() or attach())
  env | Optional DDSEnv

The documentation for this class was generated from the following files:

- fairmq/sdk/DDSSession.h
- fairmq/sdk/DDSSession.cxx

privacy